Package Details: ganache-cli 6.0.3-1

Git Clone URL: https://aur.archlinux.org/ganache-cli.git (read-only)
Package Base: ganache-cli
Description: Personal blockchain for Ethereum development.
Upstream URL: https://github.com/trufflesuite/ganache-cli
Licenses: MIT
Conflicts: ganache-cli-git
Provides: ganache-cli
Submitter: bluebugs
Maintainer: bluebugs
Last Packager: bluebugs
Votes: 1
Popularity: 0.000003
First Submitted: 2017-11-24 18:33
Last Updated: 2017-11-24 18:33

Dependencies (6)

Required by (0)

Sources (1)

Latest Comments

lash commented on 2019-11-10 12:21

May I suggest upgrade to 6.7.0?

Also, I had a problem with compile due to ethereumjs-util dep seemingly out of date in the module itself. Patching the dependency version from 6.1.0 to 6.2.0 solved the problem.


PKGBUILD:

pkgname=ganache-cli pkgver=6.7.0 pkgrel=1 pkgdesc='Personal blockchain for Ethereum development.' url='https://www.npmjs.com/package/ganache-cli' arch=('any') license=('MIT') source=("https://registry.npmjs.org/ganache-cli/-/ganache-cli-${pkgver}.tgz" "patch.diff") noextract=("ganache-cli-${pkgver}.tgz") makedepends=('npm') depends=('nodejs') conflicts=('ganache-cli-git' 'ganache-cli') sha1sums=('b59845578221bdf686cf124d007c5ee62e85a62f' '288602b970a40d7631adbf7af1657e9e9e42172b') provides=('ganache-cli') optdepends=('mocha: testing support' 'testrpc: testing support' 'geth: contract deployment' 'parity: contract deployment')

prepare() { tar -zxvf ganache-cli-${pkgver}.tgz patch package/package.json patch.diff tar -zcvf ganache-cli-patched-${pkgver}.tgz package }

package() { npm install -g --production --prefix "$pkgdir/usr" "ganache-cli-patched-${pkgver}.tgz" install -D -m644 package/LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" }


... where the patch.diff file merely is the diff of package.json where the dep version is changed.